# TAO_Singleton_Manager.cpp File Reference

`#include "tao/TAO_Singleton_Manager.h"`
`#include "tao/Exception.h"`
`#include "ace/Guard_T.h"`
`#include "ace/Recursive_Thread_Mutex.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/Object_Manager.h"`

Include dependency graph for TAO_Singleton_Manager.cpp:

## Defines

#define | TAO_SINGLETON_MANAGER_CLEANUP_DESTROYER_NAME TAO_Singleton_Manager_cleanup_destroyer

## Functions

| exit_info_ ()
| registered_with_object_manager_ (-1)
| old_unexpected_ (0)

## Variables

TAO_Singleton_Manager * | the_instance = 0

## Define Documentation

#define TAO_SINGLETON_MANAGER_CLEANUP_DESTROYER_NAME TAO_Singleton_Manager_cleanup_destroyer

## Function Documentation

exit_info_ | ( |  | ) |

old_unexpected_ | ( | 0 |  | ) |

registered_with_object_manager_ | ( | - | 1 | ) |

## Variable Documentation

TAO_Singleton_Manager* the_instance = 0`[static]`